"Buttered Toast, the Billy Davis Island Adventure" by "the Artificers"

Chapter 0 - License and General Set Up

[
	Copyright (C) 2023  William R. Moore
	This work is licensed under the Creative Commons BY-NC-SA 4.0 License. To view a copy of the license, visit https://rezrov.xyz/caranmegil/butteredtoast5/.
]

Chapter 1 - General Set Up

The release number is 1.
Index map with EPS file.
The story description is "An interactive fiction of helping the (in)famous actor, musician, and philosopher Billy Davis find his way back home from a disgusting island paradise.".
Release along with cover art, an introductory booklet, an introductory postcard, a website, an interpreter, a library card, a public solution, a file of "Map" called "Inform Map.eps", and the source text.
Include Basic Screen Effects by Emily Short.

The block giving rule is not listed in the check giving it to rules.

Chapter 2 - Tables and Figures

Figure of Mr Linendot is the file "mr_linendot.jpg".

Table of Basic Help Commands
command	description
"north"	"Move north"
"south"	"Move south"
"east"	"Move east"
"west"	"Move west"
"northeast"	"Move northeast"
"northwest"	"Move northwest"
"southeast"	"Move southeast"
"southwest"	"Move southwest"
"up"	"Move up"
"down"	"Move down"
"look"	"Looks around at current location"
"save"	"Save state to a file"
"restore"	"Restores a saved state"
"restart"	"Restarts the game"
"verbose"	"Gives full description after each command"
"diagnostic"	"Give description of health"
"brief"	"Give a description upon first entering an area"
"superbrief"	"Never describe an area"
"quit"	"Quit game"
"climb"	"Climbs (up)"
"g"	"Redo last command"
"go (direction)"	"Go towards direction (west/east/north/south/in/out/into)"
"enter"	"In to the place"
"in"	"Go into something"
"out"	"Go out of the place"
"get/take (item)"	"Removes item from current room and places it in your inventory"
"get/take all"	"Takes all takeable objects in room"
"throw (item) at (location)"	"Throws the item at something"
"open (container)"	"Opens the container, whether it is in the room or your inventory"
"open (exit)"	"Opens the exit for travel"
"read (item)"	"Reads what is written on readable item"
"drop (item)"	"Removes item from inventory and places it in current room"
"put (item) in (container)"	"Removes item from inventory and places it in container"
"turn (control) with (item)"	"Attempts to operate the control with the item"
"turn on (item)"	"Turns on the item"
"turn off (item)"	"Turns the item off"
"move (object)"	"Moves a large object that cannot be picked up"
"attack (creature) with (item)"	"Attacks creature with the item"
"examine (object)"	"Examines, or looks, at an object or item or location"
"inventory"	"Shows contents of the inventory"
"eat"	"Eats item (specifically food)"
"shout"	"Shout it out (shout it out loud)"
"close (Door)"	"Closes door"
"tie (item) to (object)"	"Ties item to object"
"pick (item)"	"Take/get item"
"break (item) with (item)"	"Breaks item"
"kill (creature) with (item)"	"Attacks creature with the item"
"drink"	"Drink an item"
"smell"	"Smell an item"
"cut (object/item) with (weapon)"	"Comment: Strange concept, cutting the (object/item). If (object/item)=self then you commit suicide"
"listen (target)"	"Listens to a creature or an item"
"slap (target)"	"Slap the target viciously."
"poke (target)"	"Poke a target."
"credits"	"Display the credits for this game."
"license"	"Displays the license for this game."
"talk to"	"You will talk to someone for once in your life."
"philosophize"	"Speak some philosophy."
"sing"	"Sing some songs."
"act"	"Do some acting."
"ride (target)"	"Ride the target"

Chapter 3 - Rooms and Doors

St Murrays Pub is a room. The printed name is "St. Murray's Pub". The description is "A dank, but faux, dive bar has a sparse amount of patrons. The walls are black wood panels. The floor is concrete. Along the wall nearest the entrance is the bar with its dark wood construction.".

Island Cove is a room. The description is "A wonderous island cove where multi-colored, tropical fish swim near the surface of the water in search of food and the water is a wonderous shade of sea green.[if unvisited] Disgusting![end if] The forbidding sea is to the west.".
The Sea is a room. It is west of Island Cove. The description is "The warm water laps against your body.".
Island Pool is a room. It is east of Island Cove. The description is "[if unvisited]Deciding to do something about his situation, Billy Davis set out to explore this paradise-like Hell in which he finds himself. Several tortuous hours through lush trees and dry, prickly brambles that tore his clothes and skin revealed at the other side of this forest is a large pool of water. And bathing in it are several monkeys and an elephant.[otherwise]A large pool of water is before you.[end if]".
Wilderness_1 is a room. It is east of Island Pool. The printed name is "Island Wilderness". The description is "[if unvisited]Feeling absolutely dejected at the loss of the potential ride and source of companionship, if it is possible with a pachyderm, Billy sets off through the wilderness once more. Instead, he chooses to wander from the pool towards where the elephant went. His rationale is that he can probaby catch up or be lead to more elephants, which means he can satisfy another issue: his growing hunger. Again, he searches his pockets as if there is something different in them than earlier in the day. Again, he only finds the scrap of paper with the words 'SPLORK XYZZY' scrawled across it.[otherwise]It is a lush wilderness inside the island.[end if] The wilderness extends everywhere around you.".
Wilderness_2 is a room. It is east of Wilderness_1. The printed name is "Island Wilderness". The description is "[if unvisited]With a great sigh, Billy plunges on through the less brambly forest but ever increasing in muginess. After some time, it is getting dire. The world is hazy with water vapor. He wishes that he somehow got water from that pool where the animals did their bathing and playing. That water has to be potable, he figured, because a monkey will not play in foul water.[otherwise]It is a lush wilderness inside the island.[end if] The wilderness extends everywhere around you.".
Wilderness_3 is a room. It is north of Wilderness_1. The printed name is "Island Wilderness". The description is "The wilderness extends everywhere around you.".
Wilderness_4 is a room. It is north of Wilderness_3. The printed name is "Island Wilderness". The description is "The wilderness extends everywhere around you.".
Wilderness_5 is a room. It is east of Wilderness_3. The printed name is "Island Wilderness". The description is "The wilderness extends everywhere around you.".
Wilderness_6 is a room. It is north of Wilderness_4. The printed name is "Island Wilderness". The description is "The wilderness extends everywhere around you.".
Wilderness_7 is a room. It is east of Wilderness_4. The printed name is "Island Wilderness". The description is "The wilderness extends everywhere around you.".
Clearing is a room. It is east of Wilderness_2. The description is "[if unvisited]Finally, a clearing is reached! Billy Davis sees before him a huge, grassy valley with a river running through it. Success! Water. Rushing down the hillside, he reaches the stream and takes several satisfying gulps of cool water.

'That really hits the spot! Now, if only there's some way I can put all this into a container!'

At that moment, he hears the sound of several feet splashing loudly and human voices chanting in a strange tongue.[otherwise]You are in a huge, grassy valley with a river running through it.".
Island Village Grounds is a room. The description is "A moderate sized village that blends in well with the surrounding flora. So much so that it seems to be a part of it and not a mastery of nature.".
Forest_1 is a room. It is north of Island Village Grounds. The description is "A thick island forest with many toads sitting around.".
Nearby Island Village is a room. It is northeast of Forest_1. The description is "A small village that contains, of all things, an airport befitting a single engine plane.".
Mining Camp is a room. It is east of Island Village Grounds. The description is "[if unvisited]So, Billy sets forth in an eastward direction because he has no sense of direction. After a day, his food and water has run out mostly due to Billy being a glutton. He finds no sign of any airport. Instead, he comes across a camp with men milling about.

'Ah! This must be the town. All I need to do is find the airport!', he says.

He scans the area. This is a camp full of tents with people moving around it. Near the rear of the camp is a deep pit where men and women labor inside. There is no easy way to put it. Billy Davis was lost yet again as there was no airport to be found.

'So, I seem to have found myself in another fine mess,' he says, 'But I'm sure I can talk my way out of it.'

Deciding that no time was like the present to make a presence, he struts on into the village with a beaming smile that would make even the loosest of persons shudder.

'Excuse me,' he says, 'but have you seen any nearby airports? I'm hungry and thirsty and I seem to have lost my way!'

It was at this moment that the woman from St. Murray's Pub slowly walks out of a nearby tent.[otherwise]A human-made clearing in the island forest contains many tents. In the back is an opening in the ground, presumably the mine.".
Mining Pit is a room. It is east of the Mining Camp. The description is "[if unvisited]Once inside the pit, he realizes he is doomed! He picks up a shovel and starts digging holes around the pit. A man walks up with a whip while the holes are dug and uses it on Billy. This rightfully gets Billy's attention. The man with the whip points at Billy, points at the shovel, and gestures at a cave inside the pit.

'Fine, fine, fine! I got you', he says, 'I'll go into that dank cave and dig some holes there, too.'[end if] The mining pit is gross. It's dirty in parts and muddy in others. It smells like sweat and despair. There is a dank smelling cave on the north side.".
Dank cave is a room. It is north of Mining Pit. The description is "[if unvisited]Shovel in hand, Billy walks inside the cave. It's poorly lit, but the lighting is enough to do work. There are several men and women here carving their way into the living rock with shovels and picks. Weeks go by before Billy Davis is aware that he and the crew have made headway inside the cave. A few more weeks go by and they strike something metallic!

Quickly they remove some more dirt and see something golden and shiney. After removing more dirt, they notice that it is a large slab of gold inlaid with jewels and etchings in the shape of animals, some of which are familiar to Billy Davis as he has seen them on his adventure. A few hours of careful rock and dirt removal has revealed the that this gold slab is no slab at all. Instead it is a tall door of sorts inside the cave wall.[otherwise]The cave is poorly lit and smells of dank.[end if]".
Hell is a room. The description is "You're in an excessively warm place that is arid. There are random flames in spots. It reminds you of Texas. In front of you is a golden throne with a demon seated upon it.".

Chapter 4 - Actors

Mysterious Woman is a woman. Understand "Marlene" as Mysterious Woman. The description is "A most beautiful woman with dark, ruddy hair. You have the urge to keep striking up a conversation with her.".
Bartender is a man. He is in St Murrays Pub. The description is "A rough and tumble man with hair like the Quaker Oats Man.".
Monkey Troop is an animal. It is in Island Pool. The printed name is "troop of monkeys". Understand "barrel", "barrel of monkeys", "troop of monkeys" as Monkey Troop. The description is "A troop (or barrel if you prefer) of varying colors of monkeys are near you. They're just chittering away doing monkey business.".
Elephant is an animal. It is in Island Pool. The printed name is "elephant". The description is "A large, grey elephant is bathing and playing in the pool of water.".
Maili is a woman. The printed name is "Island woman". Understand "island woman" as Maili. The description is "She is a dusky woman with a single, long, colorful cloth wrapping her entire body in a sort of dress. She is quite attractive. So attractive that, based entirely on looks alone, you are enthralled and want to chat her up.".
Mayor is a man. Understand "McCheese" as Mayor. The description is "He is a heavy-set older man wearing no shirt and a single, long, red cloth wrapped around his waist and down below his shins.".
Island toad is an animal. Understand "toad" as Island toad. It is in Forest_1. The description is "A colorful toad just minding its own business.".
Demon is a person. Demon is on Golden throne. The description is "Your typical demon with a wide, toothy mouth.".

Chapter 5 - Things

Ye flask is a thing. It is fixed in place. The printed name is "ye flask". It is in St Murrays Pub. The description is "It is a flask containing some unknown liquid."
Cryptic paper is a thing. The description is "A yellowed scrap of paper with the words 'SPLORK XYZZY' scribbled on it.".
Waterskin is a thing. The description is "A brown waterskin full of enough water for a two-day journey.".
Food supplies is a thing. The description is "A bunch of fruit that should last you about a three-day journey.".
Golden throne is a supporter. It is fixed in place. Golden throne is in Hell. The description is "A large, golden throne that has eldritch runes engraved on all sides.".
Altar is a thing. It is fixed in place and in Hell. The description is "A crude stone altar with an eerie green flame is on top.".

Chapter 6 - Actions

A thing can be examined or unexamined. A thing is usually unexamined.
A person can be examined or unexamined. A thing is usually unexamined.
The player has a number called score. The score of the player is 0.

When play begins:
	now the right hand status line is "Score: [score of the player]".

Carry out taking something:
	increase the score of the player by 1.

Carry out dropping something:
	decrease the score of the player by 1.

Carry out examining something:
	if the noun is unexamined:
		now the noun is examined;
		increase the score of the player by 1.

Understand "license" as license. License is an action applying to nothing.
Carry out license:
	say "Copyright (C) 2023  William R. Moore
	[line break]This work is licensed under the Creative Commons BY-NC-SA 4.0 License. To view a copy of the license, visit https://rezrov.xyz/caranmegil/butteredtoast5/.";
	increase the score of the player by 100.

Understand "credits" as credits. Credits is an action applying to nothing.
Carry out credits:
	say "I would like to first and foremost thank Nina Nadu, my wife, for being my everything.";
	say "[line break]Next, I would like to thank my kids Olivia and Henry for being the rambuncious lot that you both are and have a special place in my heart!";
	say "[line break]Without your help, this would not be here!".

Understand "help" as helping. Helping is an action applying to nothing.
Carry out helping:
	say "You like help?  Here we go![line break]";
	say "[bold type]Basic Commands[roman type]:[line break]";
	repeat through Table of Basic Help Commands:
		say "[bold type][command entry][roman type]: [description entry][line break]".

Understand "lick [something]" as licking. Licking is an action applying to one visible thing.
Carry out licking:
	say "[noun] would rather you not do that.".

Understand "talk to [something]" as talking. Talking is an action applying to one visible thing.

Understand "philosophize" as philosophizing. Philosophizing is an action applying to nothing.

Understand "sing" as singing. Singing is an action applying to nothing.

Understand "act" as acting. Acting is an action applying to nothing.

Instead of examining when the noun is the player:
	say "You are the 'handsome' and 'admirable' Billy Davis. Part philosopher. Part musician. Part actor. A triple threat!".

Instead of taking while the noun is ye flask:
	say "You can't get ye flask.".

Understand "ride [something]" as riding. Riding is an action applying to one visible thing.

Carry out riding:
	say "Try as you may, you just can't seem to figure out how to ride [noun].".

Philosophized is a truth state that varies. Philosophized is false.
Carry out philosophizing:
	say "His day starts with him writing what he considers philosophy. Once he sent his writings to the pre-eminent philosopher of the day, a Mr. John Hughes. After consuming one too many adult beverages one night, Mr. Hughes read Billy's works for a good laugh. Hughes went through each page like they were kindling and his eyes were fire. By the end, Hughes writes 'The world is sometimes challenged by individuals and their thinking. The writings of Billy Davis not only challenge your world views of the rights of man, they draw to light exactly what those rights are and why they were given to Billy Davis' deranged mind.' Billy wrote Hughes a thank you letter for his praise.";
	now Philosophized is true.

Sung is a truth state that varies. Sung is false.
Carry out singing:
	say "He also performs music, which is certainly the cacodaemonical sounds from the elder gods. He made an eponymous music album called 'Billy Davis Knows the Blues'. Critics still are utterly flummoxed how someone can confuse the musical style of blues with synth-pop.";
	now Sung is true.

Acted is a truth state that varies. Acted is false.
Carry out acting:
	say "He acts on stage. The crew and cast would rather he didn't. Many of his cast members draw comparisons between Billy Davis and the phrase 'man child' in his personality, stage presence, and acting abilities.";
	now Acted is true.

Carry out talking:
	say "[noun] is not interested in the rantings and babblings of Billy Davis.".

Instead of talking when the noun is Bartender:
	say "'I hope you know your money isn't good here, Billy Davis,' growls the bartender.

'What? Of course, it is! I'm most certainly on the $100 bill,' replies Billy Davis with a hurt tone in his voice.".

Flirting is a number that varies. Flirting is 0.
Instead of talking when the noun is Mysterious Woman and Flirting is 0:
	say "'Hey, baby! What yo name is? I've forgotten mine,' he says with glowing pride.

'Barbara. And aren't you someone interesting and yet strangely familiar.'

'It's me! Billy Davis. The famous blues musician.'

She laughs and laughs, possibly because she knows his synth-pop themed 'blues' album that is still available on all your unpopular streaming platforms of today. This gets them going for the night.";
	increase Flirting by 1.

Instead of talking when the noun is Mysterious Woman and Flirting is 1:
	say  "At one point in the evening, Billy Davis used his fullest flirting potential.

He smiles at her and says 'So, I'm scouting out locations for a new movie that I'm making. You'd love it!'

'Oh?'

'It's about a bunch of scientists that decided to resurrect dinosaurs using DNA found inside of a prehistoric mosquito trapped in amber. These scientist take the dinosaurs to an island and call it Triassic Island! But things go awry when —'

'This sounds a lot like Jurrasic Park.'

'It's different. Trust ​me. Spielberg used real dinos for his movie. They ran amok and ate people. It was a real mess. I'll be using animatronics.'";
	increase Flirting by 1.

Instead of talking when the noun is Mysterious Woman and Flirting is 2:
	say "The night continues on and they talk well up to closing time for the bar. He orders her one last drink to which the bartender scoffs, but pours anyways.

Minutes later, he and the woman are walking out of St. Murray's Pub hand in hand because it really does turn out that the money from Billy Davis isn't good at the bar. Incidentally, St. Murray's thinks her money is good. They round the corner when Billy Davis felt a smack at the back of his head. This is the last thing he remembers for a while.";
	increase Flirting by 1.

Chapter 7 - The Game

The player is in St Murrays Pub.

Act I Scene 1 is a scene. Act I Scene 1 begins when play begins. Act I Scene 1 ends when Flirting is 3.

When Act I Scene 1 begins:
	say "Inside the small metropolis that is Kansas City, there lives an Internet troll. Not any ordinary troll living under nasty bridges and eating goats and wayward children. But an Internet one and that meant annoyance. His name is Billy Davis and he claims to be part actor, part musician, and part philosopher.

What is it like during a week in the life of Billy Davis? Is it glitz and glamour? Not even in the slightest!".

Every turn while Act I Scene 1 is happening:
	If Philosophized is true and Sung is true and Acted is true and the location of the Mysterious Woman is not the location of the player:
		say "This guy is going embark on a wild tale unlike any he ever tells before. However, he needs a drink first because that's where all good adventures begin.

At that moment, the most beautiful and ravashing woman walks into the bar.";
		move Mysterious Woman to St Murrays Pub.

Act I Scene 2 is a scene. Act I Scene 2 begins when Act I Scene 1 ends. Act I Scene 2 ends when the location of the player is Clearing.

When Act I Scene 2 begins:
	move the player to Island Cove;
	now the player has Cryptic paper;
	say "Waking up from a horrendous nightmare of which he cannot place, Billy Davis looks around to see where he is now. When he last remembered being conscious, it is outside St. Murray's Pub. Instead of that familiar location, it is a luscious island! His head hurt. It hurt like a million Lars Ulrichs simultaneously used his head as their personal drums. It might have been the whiskey he drank. It might have been something else. At any rate, he is lost. He is lost on an island and he knew not where on Earth he is.".

ElephantRiding is a number that varies. ElephantRiding is 0.
Instead of riding when the noun is Elephant and Act I Scene 2 is happening:
	if ElephantRiding is 0:
		say "Billy Davis says 'Well, Mr. or Mrs. Elephant! I don't really know which you are — oh looks like a girl — I'm gonna ride you through this here forest and get the hecka outta here!'

On the first attempt at riding, the elephant just sprayed him with water.

He wipes the water off his face and shakes his fist at her saying 'Oh! A wise-gal, eh?'";
		increase ElephantRiding by 1;
	Otherwise:
		say "On the second attempt, the elephant uses her trunk to drag him under the water and lets him go to drown in peace.

He thought, 'If only I hadn't spent all those summers at the pool checking out women and had just spent them learning to swim! Maybe, I have a chance. If only I can be a frog!'

And try as he might, he is not able to transform himself into a frog as that's just a ridiculous concept for a human. I mean, seriously, can a frog be a human or a human be a frog. All these existential thoughts never cross the mind of Billy Davis because he is using all of his wits, of which there are little available, even in reserve, focusing on getting out of this situation. As he sinks, the elephant takes pity on him and she drags him out of the water.

'Whew!', sighed Billy, 'I was almost a goner! Thank you, man's best friend!' And he gently pats the elephant on her hide.

At that moment, the elephant gets startled, leaves the pool towards the east in a mighty rush, and leaves Billy Davis in the warm loneliness of the island.";
		remove Elephant from play.

Instead of examining when the noun is the player and Act I Scene 2 is happening:
	say "Billy does a quick check. All his parts and pieces are in tact, including his nose. He looks inside his pockets, which he vigorously rifles through. Nothing of value outside pocket lint and a scrap of paper containing the words 'SPLORK XYZZY'.

'Splork this,' he exclaims, 'I've been wallet-napped!'".

Instead of examining when the noun is Cryptic paper and the location of the player is Wilderness_1:
	say "'By, Crom!', Billy professes, 'this note has to mean something. But what? But how? But where?'".

After examining when the noun is Monkey Troop and Act I Scene 2 is happening:
	say "'Oh! Sweet! I can ride that elephant and train those monkeys to do my bidding,' he shouted with supreme excitement.

It is then he day dreams about how life on this island would be if he bends that barrel to his very will!

It starts with the beginning of any given day. First, Billy wakes up in his hammock sewn from sturdy vines. Yawning, a helpful monkey would scamper up with a hot cup of what is presumably island coffee, which could be made from coffee beans or something entirely different, he has no idea what it really is. All he knows is that it is good, strong, and wakes him up. Next, he exits his hut to be presented with the assemblage of his troop for inspection. With intense pride, he examines each monkey for any stolen items out his hut. In this dream, a monkey has his pocket watch. So, in proper fashion, he has the monkey executed.

Billy wakes up from this dream laughing meniacally, but soon discovers that his loud noises had startled the monkeys who left while he dreamed.";
	remove Monkey Troop from play.

Act II Scene 1 is a scene. Act II Scene 1 begins when Act I Scene 2 ends. Act II Scene 1 ends when the location of the player is Island Village Grounds.

When Act II Scene 1 begins:
	move Maili to the location of the player;
	say "As sounds of splashing feet are louder, Billy prepares himself for the worst, which in his mind's eye was tax collectors. Louder and louder comes the splashing. Ever closer it seems.

Suddenly, a small group of people breaks into the clearing. They look at each other, point at Billy, and speak in a language. Somehow feeling emboldened by this, Billy Davis approaches the people.

He smiles and shouts loudly 'Me Billy Davis! Me come in peace!'

'Hey, man!', a woman speaks up, 'It's correctly said as 'I'm Billy Davis and I come in peace!' It's no problem to us, but do you need some instruction on the basics of English? If so, we'd gladly oblige!'".

TalkingToMaili is a number that varies. TalkingToMaili is 0.
Instead of talking when the noun is Maili and Act II Scene 1 is happening and TalkingToMaili is 0:
	say "Billy Davis frowns. 'I don't need any instruction! Where am I? I woke up here after being in the United States!'

'Oh.', she replies, 'You're on the island of Lanikai! As you can see, we have beautiful everything. According to legend we have a —'

'Yeah, yeah, I don't need your life story.'

'But you don't understand. The gods made this place in their image and —'

'I said, I don't need it,' growls Billy!

'Well, how can the people of Lanikai assist you? We are a humble people and of humble means.'

'I'm hungry and I could go for a cheeseburger, some fries, and a malt! You know, the basics of every hungry person.'";
	increase TalkingToMaili by 1.

Instead of talking when the noun is Maili and Act II Scene 1 is happening and TalkingToMaili is 1:
	say "She looks confused and says 'We do not know what a cheeseburger, some fries, and a malt are. We do have something special for visitors in the form of boars with fresh fruit. Would you be interested in that? We can certainly help with your hunger needs in that respect.'

'Yuck!', he replies, 'Fresh fruit! I guess, I'm hungry for anything right now.'";
	now TalkingToMaili is 0;
	move Maili to Island Village Grounds;
	move the player to Island Village Grounds.

Act II Scene 2 is a scene. Act II Scene 2 begins when Act II Scene 1 ends. Act II Scene 2 ends when the location of the player is Forest_1 or the location of the player is Mining Camp.

When Act II Scene 2 begins:
	say "The people of Lanikai lead Billy up the stream through more lush forest. Billy Davis saw several plants that he has never seen before. There are short plants with broad leaves that seemed bigger than his head. There are tall trees that go high into the mists of the sky. Furthermore, there are different kinds of lizards, snakes, and frogs of different colors and sizes.

'Do not touch the frogs. They are deadly,' one villager warns Billy, 'And don't even think about licking them. Not only is it unsanitary, but their poison causes strange dreams if you're lucky.'

'Lucky, eh?', he asks.

After some time, which seems mostly irrelevant to anyone that is on the island of Lanikai, the group reaches a moderate sized village that blends in well with the surrounding flora. So much so that it seems to be a part of it and not a mastery of nature.

'The people of Lanikai follow the traditions set forth by the gods and respect nature. We listen to the trees and the other plants. We are one with them and do not seek ownership of them. That is why our village, while decent in size, does not destroy nature to live with it. My name is Maili, by the way., says the woman who originally spoke with Billy Davis.

'And is that why you all live in tree houses like grown children?', asks Billy.

The villagers come out of their tree huts and any huts on the ground to welcome their fellows back and to see this newcomer to their humble residence. Once all events are relayed, including the finding of many fresh fruits for the village to sustain itself, an individual who Billy presumes is the mayor of the village walks up.";
	Now the printed name of Maili is "Maili";
	move Mayor to the location of the player.

Instead of talking when the noun is Mayor and Act II Scene 2 is happening:
	say "'Welcome! I see that you speak English, too! We learned ours many, many years ago through trade with the various other islands. I'm going to assume that you want to get home. Well, we can accommodate that! But first! A feast of boar and fresh fruits, the latter of which I hear you favor,' the mayor says.

The mayor leads Billy towards a rope that is woven from sturdy branches with several of them forming a seat. A few of these line one side of the village. A villager runs up, at that moment, sits in the vine seat, and continuously pulls on a vine, causing the seat to ascend to the upper levels of the village that are nestled within the trees.

The mayor cheerfully says, 'As you can see, we have no need of stairs or your so-called modern American innovations.'

Absentmindedly, Billy looks at the village and says 'I see'.

'Well!', the mayor smiles, 'with that, you've seen our happy and humble village. I don't know why my citizens brought you here, but, given your disheveled appearance and pungent odors that seem to permeate your entire being, they must have taken pity on you.' Quickly, the mayor glances around and asks 'What can we do to expedite your egress from our village?'

'Beh!?', says Billy.

'How can we get you out of here?', asks the mayor.

'Oh? OH! Gimme food and water and direct me to the way off this place, and I'll get outta your hairs.'

And with the simple wave of his hand, the mayor directs his villagers to make all necessary preparations for them to be rid of Billy Davis. First, they gather water inside two waterskins. Next, they pack enough food to last a regular person three days. Finally, the villagers add all of these items and some camping supplies to a bag. All of these items are light enough even for Billy to carry over his shoulder.";
	now the player has waterskin;
	now the player has food.

Act II Scene 3 is a scene. Act II Scene 3 begins when the location of the player is Mining Camp. Act II Scene 3 ends when the location of the player is Dank cave.

When Act II Scene 3 begins:
	move Mysterious Woman to the location of the player;
	now the printed name of Mysterious Woman is "Marlene";
	say "Billy Davis is shocked. He sees the woman that paid for his drinks some time ago and of whom he still thinks is the right match for him. He fumbles in his pocket and touches the scrap of paper. The one that has the words 'SPLORK XYZZY' scrawled upon them in a handwriting that Billy Davis is almost entirely sure is not his own.

'So, we meet again, Herr Davis,' says the woman from the pub, 'My name is Marlene. However, knowing this is not important to you really any more. You see, you're going to be working for me. And by working, I mean doing labor for free.'

'Free?' asks Billy. 'I don't even know the meaning of free labor unless it's someone giving me the labor for free,' he weakly says.

Marlene snaps some fingers. It was at this moment two burly men come out of the tent that she vacated previously. Once at her side, she points to Billy Davis and then points at the pit at the back of the camp. The men grab Billy and drag him kicking and screaming towards the pit.";
	remove waterskin from play;
	remove food from play;
	move the player to Mining Pit.

Act III Scene 1 is a scene. Act III Scene 1 begins when Act II Scene 3 ends. Act III Scene 1 ends when XYZZY is true.

When Act III Scene 1 begins:
	say "A few workers inside the cave mutter to themselves while making gestures at the door. One person gets close to the golden door, runs her fingers along the etchings, stops on a panther shaped figure, shrieks, and runs back amongst the other workers to proceed muttering in their language with apparent anxiety. Another worker boldly approaches the door, pick axe in hand, and strikes the door with the pick axe. After a few moments of only silence from both the workers and the cave, a lightning bolt shoots the attacking worker dead on his feet. His body crumples onto the ground in a lifeless heap.

When all these events conclude, the workers, including Billy Davis, run out of the cave screaming, where they are met by the man with the whip. Frantically, they tell the man with the whip in their language something, presumably what went on in the cave. The man with the whip slams his hat on the ground and runs off towards the camp. Several minutes later, Marlene, the two burly men, a previously unencountered man approach, and the man with the whip in the lead.

'So, you found something,' asks Marelene.

'Yeah, a big shiny piece of metal that kills people. Sounds like it was made for you and me,' replies Billy Davis.

'Shut up. Take me there.'

It is with this command that all the miners, Billy Davis, Marlene, the two burly men, the new, unencountered man, and the man with the whip went into the depths of the cave. Once they reached the golden door, the new man leans forward and pulls out his glasses from a shirt pocket.

'By speaking the ancient traveling phrase, the chosen one will be transported into the golden realm,' he says.

Marlene scowls and says, 'What ancient phrase?'

'Ancient traveling phrase. It does say further that the ancient traveling phrase is also referenced by musicians of the 'Great White North'', replies the new man.".

XYZZY is a truth state that varies. XYZZY is false.
Instead of examining when the noun is Cryptic paper and Act III Scene 1 is happening:
	say "Billy Davis reaches into his pocket and retrieves the scrap of paper with the words written on it saying 'SPLORK XYZZY'.

'Splork this,' he exclaims, 'XYZZY'.";
	now XYZZY is true.

Act III Scene 2 is a scene. Act III Scene 2 begins when Act III Scene 1 ends. Act III Scene 2 ends when the location of player is St Murrays Pub and ConvoWithDemon is 5.

When Act III Scene 2 begins:
	say "It was at this moment that a bright, red light surrounds him. He feels an extreme warmth and disappears in a red fire. The golden door immediately opens, draws the flames inside, and closes.

When the flames die down, Billy Davis finds himself in a dark room with an altar that has eerie, green fire on top. Behind the altar is a golden throne. Seated on the golden throne is a demon of grotesque shapes and proportions.

'Greetings, Billy Davis', it says with a wide, sharp-toothed grin, 'I wondered when you would get here because it was fortold that we would meet. All the events that have transpired recently were my attempts to draw you here. You see, I admire your musical trolling and wish to create a — partnership if you will.'";
	move the player to Hell.

ConvoWithDemon is a number that varies. ConvoWithDemon is 0.
Instead of talking when the noun is Demon and ConvoWithDemon is 0:
	say "'Blah, blah, blah', says Billy.

'I can give you wealth.'

'How much?'

'Unmeasurable wealth.'

'No such thing! I want money.'

'$10 billion and 3 tons of diamonds', asks the demon as it closes its eyes and rubs the bridge of its nose.

'No, I want to be rich', exclaims Billy Davis.

'Isn't that rich', asks the demon.";
	increase ConvoWithDemon by 1.

Instead of talking when the noun is Demon and ConvoWithDemon is 1:
	say "'Yeah, maybe to a poor person.'

It was at this point that the demon stops rubbing the bridge of its nose and proceeds to rub what might be considere the temples of its head.

'Last I checked, you were in debt for thousands.'

Billy Davis looks around the dark room and lets out a nervous laugh.

The demon looks around and says, 'Servant! I need some Hell branded ibuprofen.'

A wretched looking black thing limps into the room and replies 'But, master. There is no such thing.'

'Enough', shouts the demon, 'I would rather bathe in holy water than continue talking to this nincompoop!'";
	increase ConvoWithDemon by 1.

Instead of talking when the noun is Demon and ConvoWithDemon is 2:
	say "'Hey, you piece of shit', Billy shouts back to the demon, 'I am not the one who is a piece of poop.'

'No, you are a fool and a waste of space. I cannot decide if you are trolling me or you are just that dumb.'";
	increase ConvoWithDemon by 1.

Instead of talking when the noun is Demon and ConvoWithDemon is 3:
	say "'I may be dumb, but at least I have servants that listen to me. Besides, if I'm poor, how come governments come to me about loans?', he replies.

'They come to you about loans because you owe them money. Also, my servants do listen to me. Watch! Servant! Bring me my scepter'

It was with that command that the horrific being that is the demonic servant leaves into the bitter darkness. Time passes and the only sounds they hear are the sounds of the green flame on the altar.";
	increase ConvoWithDemon by 1.

Instead of talking when the noun is Demon and ConvoWithDemon is 4:
	say "'I'm the star of an interactive fiction, you know', says Billy.

The demon glares at Billy Davis with red, glowing eyes, yet says nothing.

Eventually, the servant returns with a black metallic scepter with a black diamond on the end.

'Now, we'll see who is the one who trolls who. I hereby banish you back to the mortal realm. However, I will send you not to where you came to me from. Instead, I will return you to Saint Murray's Pub. It is there that you'll realize what true hell you're finding yourself in.'

The demon siezes the scepter from the servant, points the diamond end at Billy Davis, and fires a beam of blue energy at him.

Billy Davis blacks out.";
	increase ConvoWithDemon by 1;
	move the player to St Murrays Pub.

Act IV is a scene. Act IV begins when Act III Scene 2 ends.

When Act IV begins:
	say "Months later, Billy Davis is back at St. Murray's Pub.

'So, that's how I beat a demon in a battle of wits. You could say that I'm the smartest person in the world, but that would be a stretch. The reality is that I'm a demon slayer. And this is why I'm the best around and nothing's gonna take me down', he says.

'I don't get you, Billy Davis. You come in here. You order up a bunch of drinks. You hit on the women. And fail. You try to act macho to all the men and feel their wrath. And then you tell me your life story when I ask you to pay your damn bar tab', the bartender says.

Billy Davis sighs and stands up. He says, 'it's always about money with you isn't it?'

'Yes. Especially when your tab is nearly $2000 after all the mess you created by failing to attract women and starting fights you had no business starting with men.'".

Instead of examining when the noun is Cryptic paper and Act IV is happening:
	say "'Oh! Well, with that all I have to say is: XYZZY!'

A bright red light surrounds Billy Davis and he disappears in a red flame.";
	end the story.

Chapter 8 - Endings

Every turn:
	If the location of the player is The Sea:
		say "Billy goes further into the sea. Unfortunately, he's gone too far and the shoreline is nowhere in sight. After some time, he realiizes that his limbs are starting to give. After more time, his limbs give and he sinks deeper into the gluttonous sea!";
		end the story;
	If the location of the player is Nearby Island Village:
		say "Billy talks to a few villagers and explains his situation loudly and slowly. The villagers are disgusted by his behavior and odor, so they direct him to the pilot, who has the same sentiments. Begrudgingly, the pilot agrees to fly Billy to the nearest major airport just to get him off the island. After many days in the airport and begging for a flight back to the United States, Billy Davis eventually touches down in MCI airport and spends the rest of his useless days drinking at St. Murray's Pub.";
		end the story.

Instead of licking when the noun is Island toad:
	say "You lick [noun]. Suddenly, the entirety of the universe expands before you in an instant immediately followed by many pretty colors. You may have seen the face of God. You may not have. In any case, you start to froth at the mouth and collapse into a heap of death.";
	end the story.
